Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Beschreibung

Erstellt den Zwischenspeicher für die Systemkonfiguration.

## Synopsis

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Beschreibung

`kbuildsyscoca`, sorgt als Teil der Befehlszeilenwerkzeuge von &kde; durch Einlesen aller Dateien vom Typ `.desktop`, `.directory`, `.kimgio` und `.protocol` in eine binäre Datenbank für das korrekte Verhalten von &kde;.

&kde; greift zur Laufzeit auf die Datenbank zu, um Konfigurationsdaten abzufragen, die eine Anwendung zur Ausführung benötigt.

Dieses Programm gehört zu ksyscoca, dessen Namen für &kde; System Configuration Cache steht.

## Optionen

`--nosignal`

  Keine Signalisierung an die Anwendungen

`--incremental`

  Inkrementelle Aktualisierung

`--help`

  Ausgabe einer Hilfe zu den Optionen

`--help-qt`

  Anzeige der Qt spezifische Optionen

`--help-kde`

  Anzeige der KDE-spezifische Optionen

`--help-all`

  Alle Optionen anzeigen

`--author`

  Informationen zum Autor anzeigen

`--version`

  Informationen zur Version

`--license`

  Informationen zur Lizenz anzeigen

## Verwendung

Der übliche Weg zum Aufruf des Programms besteht in der Eingabe des folgenden Befehls in der Befehlszeile: ``kbuildsyscoca``.

## Dateien

`/tmp/kde-$USER/ksyscoca`

  ...

## Umgebungsvariablen

$`KDEDIRS`

  Gibt an, welche Ordner zur KDE-Installation gehören

## Siehe auch

ksycoca(3), kblah(4), knogga(6)

## Fehler

Zur Zeit der Erstellung dieses Dokuments sind keine Fehler bekannt.